Skip to main content
POST
/
api
/
convert
Convert files
curl --request POST \
  --url https://convertly.sh/api/convert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'files=<string>' \
  --form format=jpg \
  --form resize=original \
  --form files.items='@example-file'
{
  "files": [
    {
      "filename": "<string>",
      "originalSize": 123,
      "finalSize": 123,
      "savedPercent": 123,
      "mimeType": "<string>",
      "downloadUrl": "<string>",
      "appliedQuality": 123,
      "storedFileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "storage": {
    "saved": true,
    "notice": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.convertly.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key.

Body

multipart/form-data
files
file[]
required

One or more files.

format
enum<string>
required
Available options:
jpg,
png,
webp,
avif,
tiff,
gif,
heif,
svg,
pdf,
mp4,
webm,
mov,
mp3,
wav,
ogg,
m4a,
flac,
zip,
tar,
tgz,
7z,
rar,
gz,
bz2,
xz
resize
enum<string>
required
Available options:
original,
website,
email,
instagram,
linkedin,
ecommerce,
square,
width,
height
formats
string

JSON array of output formats, one per file.

compression
integer
default:82
Required range: 1 <= x <= 100
compressions
string

JSON array of compression values.

resizes
string

JSON array of resize modes.

resizeWidths
string

JSON array of widths or null.

resizeHeights
string

JSON array of heights or null.

autoOrient
enum<string>
default:true
Available options:
true,
false
autoOrients
string

JSON array of booleans.

mono
enum<string>
default:false

Set true for monochrome raster-to-SVG tracing. SVG output preserves color by default.

Available options:
true,
false
monos
string

JSON array of booleans for per-file monochrome SVG tracing.

saveToStorage
enum<string>
default:false

API-key requests do not save files by default. Set true to store uploads and outputs in Convertly storage.

Available options:
true,
false

Response

Converted files

files
object[]
required
storage
object